AutoCAD 2007/2008/2009

Reply
Valued Contributor
Rikkes
Posts: 78
Registered: ‎04-07-2008
Message 1 of 14 (2,317 Views)

Inverse chamfer and fillet

2317 Views, 13 Replies
06-23-2008 06:55 AM
Does anyone of the developers who reads this forum tell me that it would be possible to insert two new commands in the future? I call them 'inverse chamfer an fillet'. Just to create by one command things like in my attachment. Or is it already possible right now by a command I don't know yet? Right now, I use the subtract command to do it but it's not very useful... I design furniture and it would be a great help to have these commands!
*Jason Rhymes
Message 2 of 14 (2,317 Views)

Re: Inverse chamfer and fillet

06-23-2008 12:27 PM in reply to: Rikkes
It could probably be easily done with some customization. Here is a short
one for the reverse fillet to get you started. Probably could get very
elaborate with this but it's a start.

;; Single edge reverse fillet for solids
(defun c:revfillet (/ obj e1 val1 c1 sol1)
(setvar "cmdecho" 1)
(setq obj (entsel "\nSelect the solid to reverse fillet: "))
(command "._solidedit" "Edge" "Copy" pause "" "0,0" """""")
(setq e1 (entlast))
(setq val1 (getreal "\nEnter reverse fillet radius: "))
(command "circle" "0,0" val1)
(setq c1 (entlast))
(command "._sweep" c1 "" e1)
(setq sol1 (entlast))
(command "._subtract" obj "" sol1 "")
(entdel e1)
(princ)
)

--

Jason Rhymes
3D Solid Power Toys
including Multi Solid Stretch
http://www.acadianagraphics.com
*Jason Rhymes
Message 3 of 14 (2,317 Views)

Re: Inverse chamfer and fillet

06-23-2008 02:02 PM in reply to: Rikkes
Actually would work better if you turn osmode off and also need an error
trap.

(defun errtrap (errmsg)
(if (not (member errmsg '("console break" "Function Cancelled"))
)
(princ (strcat "\nError: " errmsg));print message
)
(command (command))
(command "._Undo" "Back")
(setvar "osmode" curos)
(setq *error* temperr);restore *error*
(prompt "\nResetting...");inform user
(princ)
)
(defun c:revfillet (/ obj e1 val1 c1 sol1)
(setq temperr *error*);store *error*
(setq *error* errtrap)
(setq curos (getvar "osmode")
curcolor (getvar "cecolor")
curecho (getvar "cmdecho")
curlunits (getvar "lunits")
)
(command "._Undo" "Mark")
(command "._Undo" "End")
(command "._Undo" "Begin")
(setvar "osmode" 0)
(setq obj (entsel "\nSelect the solid to reverse fillet: "))
(command "._solidedit" "Edge" "Copy" pause "" "0,0" "" "" "")
(setq e1 (entlast))
(setq val1 (getreal "\nEnter reverse fillet radius: "))
(command "circle" "0,0" val1)
(setq c1 (entlast))
(command "._sweep" c1 "" e1)
(setq sol1 (entlast))
(command "._subtract" obj "" sol1 "")
(entdel e1)
(setvar "osmode" curos)
(command "._Undo" "End")
(setq *error* temperr)
(princ)
)

--

Jason Rhymes
3D Solid Power Toys
including Multi Solid Stretch
http://www.acadianagraphics.com
*Jason Rhymes
Message 4 of 14 (2,317 Views)

Re: Inverse chamfer and fillet

06-23-2008 04:29 PM in reply to: Rikkes
Ok, had a little time to finish it up for you. Load the attached lisp (using
APPLOAD).
INVSQ and INVFILLET at the command line. Might add those to my free stuff
download.
Hope that helps

--

Jason Rhymes
3D Solid Power Toys
including Multi Solid Stretch
http://www.acadianagraphics.com
Valued Contributor
Rikkes
Posts: 78
Registered: ‎04-07-2008
Message 5 of 14 (2,317 Views)

Re: Inverse chamfer and fillet

06-23-2008 10:05 PM in reply to: Rikkes
Hi Jason!

Thx a lot man! It works fantastic! It's a great help for me and probably for other people when you put it on your site! I will surely visit your site now on a regular base and recommend it to friends designers too!
I've been testing it and (I don't want to abuse but...) isn't it possible with the invsq command to choose both the sizes of the inversed square just like the fillet command?


Eric Message was edited by: Rikkes
*Expert Elite*
JDMather
Posts: 26,904
Registered: ‎04-20-2006
Message 6 of 14 (2,317 Views)

Re: Inverse chamfer and fillet

06-24-2008 04:45 AM in reply to: Rikkes
You might ask your VAR to demonstrate Autodesk Inventor iFeatures. I suspect in your business you could also make use of Inventor iParts.
Please mark this response as "Accept as Solution" if it answers your question.
-----------------------------------------------------------------------------------------
Autodesk Inventor 2014 Certified Professional
Autodesk AutoCAD 2013 Certified Professional
Certified SolidWorks Professional
Inventor Professional 2015 64-bit
http://www.autodesk.com/edcommunity
http://home.pct.edu/~jmather/content/DSG322/inventor_surface_tutorials.htm
Valued Contributor
Rikkes
Posts: 78
Registered: ‎04-07-2008
Message 7 of 14 (2,317 Views)

Re: Inverse chamfer and fillet

06-24-2008 05:44 AM in reply to: Rikkes
I'm sure that Inventor would be better to work with in our business but as we are just al little company I had already a lot of difficulties to convince my boss to buy AutoCAD. In Belgium AutoCAD costs a lot of money (twice as much as in USA) and Inventor even more... Maybe in the future I'll get Inventor or an upgrade. I'm gonna follow some training's in Inventor to see what it is anyway!
*Jason Rhymes
Message 8 of 14 (2,317 Views)

Re: Inverse chamfer and fillet

06-24-2008 06:05 AM in reply to: Rikkes
You're welcome.

<< isn't it possible with the invsq command to choose both the sizes of the
inversed square just like the fillet command>>
Not sure I follow you. Can you explain?


--

Jason Rhymes
3D Solid Power Toys
including Multi Solid Stretch
http://www.acadianagraphics.com
*Wm.J.Townsend
Message 9 of 14 (2,317 Views)

Re: Inverse chamfer and fillet

06-30-2008 02:03 PM in reply to: Rikkes
I've been whining to Autodesk about negative radius fllets since 1992.
Any day now... -Bill


Rikkes wrote:

> Does anyone of the developers who reads this forum tell me that it would be possible to insert two new commands in the future? I call them 'inverse chamfer an fillet'. Just to create by one command things like in my attachment. Or is it already possible right now by a command I don't know yet? Right now, I use the subtract command to do it but it's not very useful... I design furniture and it would be a great help to have these commands!
*Jason Rhymes
Message 10 of 14 (2,317 Views)

Re: Inverse chamfer and fillet

06-30-2008 02:10 PM in reply to: Rikkes
You mean on 2d objects or solids?

--

Jason Rhymes
3D Solid Power Toys
including Multi Solid Stretch
http://www.acadianagraphics.com



"Wm.J.Townsend" wrote in message
news:5970187@discussion.autodesk.com...
I've been whining to Autodesk about negative radius fllets since 1992.
Any day now... -Bill


Rikkes wrote:

> Does anyone of the developers who reads this forum tell me that it would
> be possible to insert two new commands in the future? I call them 'inverse
> chamfer an fillet'. Just to create by one command things like in my
> attachment. Or is it already possible right now by a command I don't know
> yet? Right now, I use the subtract command to do it but it's not very
> useful... I design furniture and it would be a great help to have these
> commands!
Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.
Need installation help?

Start with some of our most frequented solutions or visit the Installation and Licensing Forum to get help installing your software.